jQuery(function($) {

    /* -----------------------------------------
    Navigation
    ----------------------------------------- */
    $('#nav-icon').click(function() {
        $(this).toggleClass('open');
    });

    /* -----------------------------------------
    Search
    ----------------------------------------- */
    let searchToggleButton = $('#header-search-toggler');
    searchToggleButton.on('click', function(e) {
        $('.header-search-wrapper').toggleClass('open');
        $(this).children('.bi').toggleClass('bi-x-lg');
        e.preventDefault();
    });

    $(document).click(function(e) {
        if (!$(e.target).closest('#header-search-toggler,#header-search').length) {
            // the click occured outside '#element'
            $('.header-search-wrapper').removeClass('open');
            searchToggleButton.children('.bi').removeClass('bi-x-lg');
        }

    });

    /* -----------------------------------------
    Keyboard Navigation
    ----------------------------------------- */
    $(window).on('load resize', function() {
        if ($(window).width() < 1200) {
            $('.main-navigation').find("li").last().bind('keydown', function(e) {
                if (e.which === 9) {
                    e.preventDefault();
                    $('#masthead').find('.menu-toggle').focus();
                }
            });
        } else {
            $('.main-navigation').find("li").unbind('keydown');
        }
    });

    var primary_menu_toggle = $('#masthead .menu-toggle');
    primary_menu_toggle.on('keydown', function(e) {
        var tabKey = e.keyCode === 9;
        var shiftKey = e.shiftKey;

        if (primary_menu_toggle.hasClass('open')) {
            if (shiftKey && tabKey) {
                e.preventDefault();
                $('.main-navigation').toggleClass('toggled');
                primary_menu_toggle.removeClass('open');
            };
        }
    });

    $('#header-search').find(".search-submit").bind('keydown', function(e) {
        var tabKey = e.keyCode === 9;
        if (tabKey) {
            e.preventDefault();
            $('#header-search-toggler').focus();
        }
    });

    searchToggleButton.on('keydown', function(e) {
        var tabKey = e.keyCode === 9;
        var shiftKey = e.shiftKey;
        if ($('.header-search-wrapper').hasClass('open')) {
            if (shiftKey && tabKey) {
                e.preventDefault();
                $('.header-search-wrapper').toggleClass('open');
                searchToggleButton.children('.bi').toggleClass('bi-x-lg');
                searchToggleButton.focus();
            }
        }
    });

    /* -----------------------------------------
    Main Slider
    ----------------------------------------- */
    $('.main-slider ').slick({
        prevArrow: '<button class="bi bi-arrow-left slick-prev"></button>',
        nextArrow: '<button class="bi bi-arrow-right slick-next"></button>',
        autoplay: false,
        autoplaySpeed: 3000,
        dots: true,
        arrows: true,
        adaptiveHeight: true,
        responsive: [{
                breakpoint: 1025,
                settings: {
                    arrows: false,
                }
            },
            {
                breakpoint: 769,
                settings: {
                    arrows: false,
                }
            },
            {
                breakpoint: 568,
                settings: {
                    arrows: false,
                }
            }
        ]
    });

    /* -----------------------------------------
    Blog Section
    ----------------------------------------- */
    $('.blog-callout-slide').slick({
        slidesToShow: 3,
        dots: true,
        arrows: false,
        responsive: [{
                breakpoint: 769,
                settings: {
                    slidesToShow: 2
                }
            },
            {
                breakpoint: 568,
                settings: {
                    slidesToShow: 1
                }
            }
        ]
    });

    /* -----------------------------------------
    Counter
    ----------------------------------------- */
    if ($('#travellable_counter_section').length) {
        var counted = 0;
        $(window).scroll(function() {
            var oTop = $('#travellable_counter_section').offset().top - window.innerHeight;
            if (counted == 0 && $(window).scrollTop() > oTop) {
                $('.count').each(function() {
                    var $this = $(this),
                        countTo = $this.attr('data-count');
                    $({
                        countNum: $this.text()
                    }).animate({
                        countNum: countTo
                    }, {
                        duration: 2000,
                        easing: 'swing',
                        step: function() {
                            $this.text(Math.floor(this.countNum));
                        },
                        complete: function() {
                            $this.text(this.countNum);
                        }
                    });
                });
                counted = 1;
            }
        });
    }

    /* -----------------------------------------
    Scroll Top
    ----------------------------------------- */
    var scrollToTopBtn = $('.scroll-to-top');

    $(window).scroll(function() {
        if ($(window).scrollTop() > 400) {
            scrollToTopBtn.addClass('show');
        } else {
            scrollToTopBtn.removeClass('show');
        }
    });

    scrollToTopBtn.on('click', function(e) {
        e.preventDefault();
        $('html, body').animate({
            scrollTop: 0
        }, '300');
    });
});