<?php
/**
 * Active Callbacks
 *
 * @package Travellable
 */

// Theme Options.
function travellable_is_topbar_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_top_bar' )->value() );
}
function travellable_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_pagination' )->value() );
}
function travellable_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_breadcrumb' )->value() );
}

// Banner section.
function travellable_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_banner_section' )->value() );
}
function travellable_is_banner_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_banner_content' )->value();
	return ( travellable_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function travellable_is_banner_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_banner_content' )->value();
	return ( travellable_is_banner_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// About section.
function travellable_is_about_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_about_section' )->value() );
}
function travellable_is_about_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_about_content_type' )->value();
	return ( travellable_is_about_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function travellable_is_about_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_about_content_type' )->value();
	return ( travellable_is_about_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Trending Package section.
function travellable_is_trending_package_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_trending_package_section' )->value() );
}
function travellable_is_trending_package_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_trending_package_content_type' )->value();
	return ( travellable_is_trending_package_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function travellable_is_trending_package_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_trending_package_content_type' )->value();
	return ( travellable_is_trending_package_section_enabled( $control ) && ( 'page' === $content_type ) );
}
function travellable_is_trending_package_section_and_content_type_trip_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_trending_package_content_type' )->value();
	return ( travellable_is_trending_package_section_enabled( $control ) && ( 'itineraries' === $content_type ) );
}

// Popular Destination section.
function travellable_is_popular_destination_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_popular_destination_section' )->value() );
}
function travellable_is_popular_destination_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_popular_destination_content_type' )->value();
	return ( travellable_is_popular_destination_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function travellable_is_popular_destination_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_popular_destination_content_type' )->value();
	return ( travellable_is_popular_destination_section_enabled( $control ) && ( 'page' === $content_type ) );
}
function travellable_is_popular_destination_section_and_content_type_trip_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_popular_destination_content_type' )->value();
	return ( travellable_is_popular_destination_section_enabled( $control ) && ( 'itineraries' === $content_type ) );
}
function travellable_is_popular_destination_section_and_content_type_trip_type_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_popular_destination_content_type' )->value();
	return ( travellable_is_popular_destination_section_enabled( $control ) && ( 'itinerary_types' === $content_type ) );
}
function travellable_is_popular_destination_section_and_content_type_destination_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_popular_destination_content_type' )->value();
	return ( travellable_is_popular_destination_section_enabled( $control ) && ( 'travel_locations' === $content_type ) );
}
function travellable_is_popular_destination_section_and_content_type_activity_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'travellable_popular_destination_content_type' )->value();
	return ( travellable_is_popular_destination_section_enabled( $control ) && ( 'activity' === $content_type ) );
}

// Counter section.
function travellable_is_counter_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_counter_section' )->value() );
}

// Blog section.
function travellable_is_blog_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_blog_section' )->value() );
}

// Newsletter section.
function travellable_is_newsletter_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'travellable_enable_newsletter_section' )->value() );
}
