<?php
/**
 * Newsletter Section
 *
 * @package Travellable
 */

$wp_customize->add_section(
	'travellable_newsletter_section',
	array(
		'panel' => 'travellable_front_page_options',
		'title' => esc_html__( 'Newsletter Section', 'travellable' ),
	)
);

// Newsletter Section - Enable Section.
$wp_customize->add_setting(
	'travellable_enable_newsletter_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'travellable_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Travellable_Toggle_Switch_Custom_Control(
		$wp_customize,
		'travellable_enable_newsletter_section',
		array(
			'label'    => esc_html__( 'Enable Newsletter Section', 'travellable' ),
			'section'  => 'travellable_newsletter_section',
			'settings' => 'travellable_enable_newsletter_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'travellable_enable_newsletter_section',
		array(
			'selector' => '#travellable_newsletter_section .section-link',
			'settings' => 'travellable_enable_newsletter_section',
		)
	);
}

// Newsletter Section - Section Title.
$wp_customize->add_setting(
	'travellable_newsletter_title',
	array(
		'default'           => __( 'Stay Updated', 'travellable' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'travellable_newsletter_title',
	array(
		'label'           => esc_html__( 'Section Title', 'travellable' ),
		'section'         => 'travellable_newsletter_section',
		'settings'        => 'travellable_newsletter_title',
		'type'            => 'text',
		'active_callback' => 'travellable_is_newsletter_section_enabled',
	)
);

// Newsletter Section - Newsletter Content.
$wp_customize->add_setting(
	'travellable_newsletter_content',
	array(
		'default'           => esc_html__( 'Sign up for newsletter and get latest news and updates.', 'travellable' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'travellable_newsletter_content',
	array(
		'label'           => esc_html__( 'Content', 'travellable' ),
		'section'         => 'travellable_newsletter_section',
		'settings'        => 'travellable_newsletter_content',
		'type'            => 'text',
		'active_callback' => 'travellable_is_newsletter_section_enabled',
	)
);

// Newsletter Section - Background Image.
$wp_customize->add_setting(
	'travellable_newsletter_background_image',
	array(
		'sanitize_callback' => 'travellable_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'travellable_newsletter_background_image',
		array(
			'label'           => esc_html__( 'Background Image', 'travellable' ),
			'section'         => 'travellable_newsletter_section',
			'settings'        => 'travellable_newsletter_background_image',
			'active_callback' => 'travellable_is_newsletter_section_enabled',
		)
	)
);
