<?php
/**
 * Validation functions
 *
 * @package Travellable
 */

if ( ! function_exists( 'travellable_validate_excerpt_length' ) ) :
	function travellable_validate_excerpt_length( $validity, $value ) {
		$value = intval( $value );
		if ( empty( $value ) || ! is_numeric( $value ) ) {
			$validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travellable' ) );
		} elseif ( $value < 1 ) {
			$validity->add( 'min_no_of_words', esc_html__( 'Minimum no of word is 1', 'travellable' ) );
		} elseif ( $value > 200 ) {
			$validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 200', 'travellable' ) );
		}
		return $validity;
	}
endif;

if ( ! function_exists( 'travellable_validate_banner_slide_count' ) ) :
	function travellable_validate_banner_slide_count( $validity, $value ) {
		$value = intval( $value );
		if ( empty( $value ) || ! is_numeric( $value ) ) {
			$validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travellable' ) );
		} elseif ( $value < 1 ) {
			$validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travellable' ) );
		} elseif ( $value > 12 ) {
			$validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'travellable' ) );
		}
		return $validity;
	}
endif;

if ( ! function_exists( 'travellable_validate_trending_package_count' ) ) :
	function travellable_validate_trending_package_count( $validity, $value ) {
		$value = intval( $value );
		if ( empty( $value ) || ! is_numeric( $value ) ) {
			$validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travellable' ) );
		} elseif ( $value < 1 ) {
			$validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travellable' ) );
		} elseif ( $value > 12 ) {
			$validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'travellable' ) );
		}
		return $validity;
	}
endif;

if ( ! function_exists( 'travellable_validate_counter_count' ) ) :
	function travellable_validate_counter_count( $validity, $value ) {
		$value = intval( $value );
		if ( empty( $value ) || ! is_numeric( $value ) ) {
			$validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travellable' ) );
		} elseif ( $value < 2 ) {
			$validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'travellable' ) );
		} elseif ( $value > 4 ) {
			$validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 4', 'travellable' ) );
		}
		return $validity;
	}
endif;

if ( ! function_exists( 'travellable_validate_blog_count' ) ) :
	function travellable_validate_blog_count( $validity, $value ) {
		$value = intval( $value );
		if ( empty( $value ) || ! is_numeric( $value ) ) {
			$validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travellable' ) );
		} elseif ( $value < 3 ) {
			$validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travellable' ) );
		} elseif ( $value > 12 ) {
			$validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'travellable' ) );
		}
		return $validity;
	}
endif;
