<?php
if ( ! get_theme_mod( 'travellable_enable_counter_section', false ) ) {
	return;
}

$section_content               = array();
$section_content['title']      = get_theme_mod( 'travellable_counter_title', __( 'Why choose us?', 'travellable' ) );
$section_content['background'] = get_theme_mod( 'travellable_counter_background' );
$section_content['count']      = get_theme_mod( 'travellable_counter_count', 4 );

$section_content = apply_filters( 'travellable_counter_section_content', $section_content );

travellable_render_counter_section( $section_content );

/**
 * Render counter section
 */
function travellable_render_counter_section( $section_content ) {   ?>
	<section id="travellable_counter_section" class="why-callout" style="background-image:url(<?php echo esc_url( $section_content['background'] ); ?>);">
		<?php
		if ( is_customize_preview() ) :
			travellable_section_link( 'travellable_counter_section' );
		endif;
		?>
		<div class="container">
			<h2 class="text-center mb-5 pb-3"><?php echo esc_html( $section_content['title'] ); ?></h2>
			<ul class="row list-unstyled why-callout-list text-center">
				<?php
				for ( $i = 1; $i <= $section_content['count']; $i++ ) {
					$label        = get_theme_mod( 'travellable_counter_label_' . $i );
					$value        = get_theme_mod( 'travellable_counter_value_' . $i );
					$value_suffix = get_theme_mod( 'travellable_counter_value_suffix_' . $i );
					?>
					<li class="col-lg-6 col-md-6 col-xl-3 mb-4">
						<div class="d-flex why-callout-list-item">
							<div class="flex-grow-1 ms-3">
								<h3><span class="count" data-count="<?php echo esc_attr( $value ); ?>"></span><?php echo esc_html( $value_suffix ); ?></h3>
								<p><?php echo esc_html( $label ); ?></p>
							</div>
						</div>
					</li>
					<?php
				}
				?>
			</ul>
		</div>
	</section>
	<?php
}
