<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Travellable
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php
			$hide_date   = get_theme_mod( 'travellable_post_hide_date', false );
			$hide_author = get_theme_mod( 'travellable_post_hide_author', false );

			if ( ! $hide_date ) {
				travellable_posted_on();
			}
			if ( ! $hide_author ) {
				travellable_posted_by();
			}
			?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<?php travellable_post_thumbnail(); ?>

	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

	<footer class="entry-footer">
		<?php travellable_entry_footer(); ?>
		<div class="read-more">
			<a href="<?php the_permalink(); ?>" class="btn btn-link me-2 p-0"><em class="bi bi-arrow-right me-2 fs-3 align-middle"></em><?php echo esc_html( get_theme_mod( 'travellable_excerpt_more_text', __( 'Read More', 'travellable' ) ) ); ?></a>
		</div>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
